Accounts
Operations to manage Oracle account records.
By passing in the appropriate options, you can search for available Oracle accounts in the system.
Oracle Account Id.
12031585The User ID corresponding to the User who created or modified the order.
04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1The Verifone allocated unique ID for this merchant company.
14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9search results matching criteria
Bad Request
Unauthorised Request
Forbidden Request.
Not Found Request
Too Many Requests
Internal Error
Service Not Available
Service Timeout
GET /accounts/oracle HTTP/1.1
Host: api.verifone.com
Accept: */*
{
"accounts": []
}Add Oracle account with MOP users and/or merchant company
Oracle Account Id.
12031585The assigned User ID corresponding to the Order Created By.
04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1The Verifone allocated unique ID for this merchant company.
14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9Add Oracle Account Success.
No content
Bad Request
Unauthorised Request
Forbidden Request.
Not Found Request
Too Many Requests
Internal Error
Service Not Available
Service Timeout
POST /accounts/oracle HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 143
{
"oracleAccountId": 12031585,
"userUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"merchantCompanyEntityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9"
}No content
Delete Oracle account with MOP users and/or merchant company.
Oracle Account Id.
12031585The Oracle accounts for user was successfully deleted.
No content
Bad Request
Unauthorised Request
Forbidden Request.
Not Found Request
Too Many Requests
Internal Error
Service Not Available
Service Timeout
DELETE /accounts/oracle/{oracleAccountId} HTTP/1.1
Host: api.verifone.com
Accept: */*
No content
Update Oracle account with MOP users and/or merchant company.
Oracle Account Id.
12031585Oracle Account Id.
12031585The assigned User ID corresponding to the Order Created By.
04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1The Verifone allocated unique ID for this merchant company.
14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9Patch Oracle Account Success.
No content
Bad Request
Unauthorised Request
Forbidden Request.
Not Found Request
Too Many Requests
Internal Error
Service Not Available
Service Timeout
PATCH /accounts/oracle/{oracleAccountId} HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 143
{
"oracleAccountId": 12031585,
"userUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"merchantCompanyEntityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9"
}No content
Last updated
Was this helpful?
